Results 1 to 5 of 5

Thread: Online update broken for OpenOffice

  1. #1
    Join Date
    Oct 2009
    Location
    Greater Portland, Oregon, USA
    Posts
    63

    Default Online update broken for OpenOffice

    I have SuSe 10.3, and have been using versions of OpenOffice since 2004. Although I Online Update regularly, and I have configured/enabled the repository OpenSUSE BuildService -OpenOffice.org in YAST, I no longer seem to be receiving updates. My last version of OO shows as 2.3.1, but if I go to the repository at

    downloads.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_10.3/

    I see that there are rpms for version 3.1.1. Can anyone suggest what has happened, and point me towards correcting this problem so that I get the OO updates? I also notice this for Firefox, although the problem there only seems to have started recently.

  2. #2

    Default Re: Online update broken for OpenOffice

    Just a guess - could the newer versions conflict with some part of the basic system you have installed?

    What does 'zypper up openoffice_org' (as root) do?

  3. #3
    Join Date
    Oct 2009
    Location
    Greater Portland, Oregon, USA
    Posts
    63

    Default Re: Online update broken for OpenOffice

    For a start, it produces the error message:

    Too many arguments

    and then gives a usage summary. Looking at the man page it is not clear to me what switch(?) is missing from the command line to avoid this error.

  4. #4

    Default Re: Online update broken for OpenOffice

    Hmm... Sorry, I didn't realise the syntax has changed.

    That would be the root I'd go down though - try to find a way to specifically tell it to update the package, and see what it complains about.

    For example, in YaST software management, select that package, and see what it says under the versions tab, or in the 'installed (available)' column? (assuming such things exist in 10.3...?)

  5. #5
    Join Date
    Oct 2009
    Location
    Greater Portland, Oregon, USA
    Posts
    63

    Default Re: Online update broken for OpenOffice

    I already went to Software Management and forced the update, and there were no complaints. But that begs the question, why hasn't the update been occurring automatically? I suppose that is my real question at this point: if I can force the update with no conflicts or dependency problems, why isn't Online Update achieving the same thing? On another machine I get dependency problems (the package python-sip is missing, and there are no sources for it) and I cannot immediately force the update. However, considering that all three of my machines had the same initial software packages (modulo 32-bit/64-bit differences) and are updated within hours of each other, I have to wonder how one machine seems to have gotten out of synch with the other. It's as though some gradual degradation of Online Update has been occurring. This makes me wonder how many other packages are no longer current.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •